MetalComboBoxIcon (Java SE 10 & JDK 10 )
Keywords: javax.swing.plaf.metal.MetalComboBoxIcon class

Module java.desktop
Package javax.swing.plaf.metal

## Class MetalComboBoxIcon

- java.lang.Object
- - javax.swing.plaf.metal.MetalComboBoxIcon

- All Implemented Interfaces:
    `Serializable`, `Icon`

      public class MetalComboBoxIcon
      extends Object
      implements Icon, Serializable

  This utility class draws the horizontal bars which indicate a MetalComboBox
  See Also:
    `MetalComboBoxUI`, Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `MetalComboBoxIcon()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `int` | `getIconHeight()` | Created a stub to satisfy the interface.
    `int` | `getIconWidth()` | Created a stub to satisfy the interface.
    `void` | `paintIcon​(Component c, Graphics g, int x, int y)` | Paints the horizontal bars for the

    - ### Methods declared in class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MetalComboBoxIcon

          public MetalComboBoxIcon()

  - ### Method Detail

    - #### paintIcon

          public void paintIcon​(Component c,
                                Graphics g,
                                int x,
                                int y)

      Paints the horizontal bars for the
      Specified by:
        `paintIcon` in interface `Icon`
      Parameters:
        `c` - a `Component` to get properties useful for painting
        `g` - the graphics context
        `x` - the X coordinate of the icon's top-left corner
        `y` - the Y coordinate of the icon's top-left corner

    - #### getIconWidth

          public int getIconWidth()

      Created a stub to satisfy the interface.
      Specified by:
        `getIconWidth` in interface `Icon`
      Returns:
        an int specifying the fixed width of the icon.

    - #### getIconHeight

          public int getIconHeight()

      Created a stub to satisfy the interface.
      Specified by:
        `getIconHeight` in interface `Icon`
      Returns:
        an int specifying the fixed height of the icon.